target("application")
    set_kind("static")
    add_syslinks("d3d11",{public = true})
    add_packages("imgui","imgui-node-editor", "glfw", "dxsdk11", {public = true})
    add_includedirs("include",{public = true})
    add_headerfiles("source/*.h","include/*.h")
    add_files("source/*.cpp")
--[[
    local cpppath = path.join(os.curdir(),"source/*.cpp")
    on_load(function(target)
        local files = {}
        for __, filepath in ipairs(os.files(cpppath)) do
            local filename = path.filename(filepath)
            local isAdd = string.sub(filename, 1, string.len("imgui_impl_")) ~= "imgui_impl_"
            isAdd = isAdd and string.sub(filename, 1, string.len("renderer_")) ~= "renderer_"
            isAdd = isAdd or filename == "imgui_impl_glfw.cpp"
            isAdd = isAdd or filename == "imgui_impl_win32.cpp"
            if isAdd then 
                table.insert(files, filepath)
            end
        end
        --table.insert(files, "sources/imgui_impl_glfw.cpp")
        target:add("files", files)
    end)
]]
    